﻿.form-floating > .form-control:not(:placeholder-shown) ~ label::after {
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);
}

.form-floating > .form-control:focus:not(:placeholder-shown) ~ label::after {
    background-color: var(--orange-main-transculent);
}

.form-control:focus {
    background-color: var(--orange-main);
}
    
.form-check-input:checked {
    background-color: var(--orange-main);
    border-color: var(--orange-main);
}

.form-control, .form-control:focus {
    border: 2px solid var(--orange-main);
}

.form-control.valid {
    transition: border .25s ease;
    -webkit-transition: border .25s linear;
}

.form-control.invalid {
    border-left: 5px solid var(--orange-bright-40);
    transition: border .1s ease;
    -webkit-transition: border .25s linear;
    border-color: var(--orange-bright-40);
    padding-right: calc(1.5em + .75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(.375em + .1875rem) center;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.input-group .validation-message {
    display: none;
}

.formactions {
    text-align: center;
}

.formactions {
    text-align: center;
}

.formactions .button {
    width: 100%;
    display: block;
}


input,
textarea,
button,
select,
a {
    -webkit-tap-highlight-color: transparent;
}

a.button, button {
    padding: 5px 10px 5px 10px;
    border-radius: 20px;
    font-weight: 600;
    display: inline-block;
}

a.button[class*="style"], button[class*="style"] {
    border: 1px solid;
}

a.button[class*="style"]:hover, button[class*="style"]:hover {
    color: var(--white);
    border-color: var(--white);
}

button[class*="style"]:disabled {
    opacity: 0.75;
}

a.button:hover, button:hover {
    text-decoration: none;
}

/* Im Navigationsbereich und im Intro verwendet wir einen anderen Hover-Effekt */
nav#main a.button[class*="style"]:hover, .intro a.button[class*="style"]:hover {
    background-color: transparent;
}

a.button.style1, button.style1 {
    color: #000000;
    border-color: #ffffff;
    background-color: #ffffff;
}
a.button.style2, button.style2 {
    color: #000000;
    border-color: var(--grey-bright-60);
    background-color: var(--grey-bright-60);
}
a.button.style3, button.style3 {
    color: #ffffff;
    border-color: var(--orange-main);
    background-color: var(--orange-main);
}
a.button.style4, button.style4 {
    color: #ffffff;
    border-color: var(--grey-main);
    background-color: var(--grey-main);
}
a.button.style5, button.style5 {
    color: #ffffff;
    border-color: #000000;
    background-color: #000000;
}

main a.button, main button {
    margin-bottom: 5px;
}
main a.button i, button i {
    margin-right: 3px;
    /*padding-left: 0.5rem;*/
}

.list-group-item {
    background-color: transparent;
    color: inherit;
    border: 1px solid rgb(163 163 163 / 35%);
}

input,
textarea,
button,
select {
    margin-bottom: 10px;
}

    input, input:focus, button, button:focus, div, div:focus, .form-control:focus, .accordion-button:focus {
        outline: none;
        box-shadow: none;
    }

        button[type=submit]:before {
            content: "\f110";
            display: inline-block;
            vertical-align: middle;
            font-family: "Font Awesome 6 Pro";
            -webkit-font-smoothing: antialiased;
            line-height: 1;
            animation: fa-spin 2s linear infinite;
            opacity: 0;
            width: 0;
        }

        button[type=submit]:disabled:before {
            opacity: 1;
            width: auto;
            margin: .1em .4em .2em 0;
        }

.btn, btn:hover {
    transition: all 0.3s ease;
}

.btn-primary, .btn-secondary {
    border-radius: 10px;
}

    .btn-primary, .btn-primary.disabled, .btn-primary:disabled, .btn-check:active + .btn-primary, .btn-check:checked + .btn-primary, .btn-primary.active, .btn-primary:active, .show > .btn-primary.dropdown-toggle, .btn-check:active + .btn-outline-primary, .btn-check:checked + .btn-outline-primary, .btn-outline-primary.active, .btn-outline-primary.dropdown-toggle.show, .btn-outline-primary:active {
        background-color: var(--turquoise-dark);
        border-color: var(--turquoise-dark);
    }

        .btn-primary:hover {
            background-color: var(--turquoise-main);
            border-color: var(--turquoise-main);
        }

    .btn-secondary, .btn-secondary.disabled, .btn-secondary:disabled {
        background-color: var(--purple-dark);
        border-color: var(--purple-dark);
    }

        .btn-secondary:hover {
            background-color: var(--purple-main);
            border-color: var(--purple-main);
        }

.btn-outline-primary {
    color: var(--turquoise-dark);
    background-color: #ffffff;
    border-color: var(--turquoise-dark);
}

    .btn-outline-primary:hover {
        color: #ffffff;
        background-color: var(--turquoise-main);
        border-color: var(--turquoise-main);
    }

.btn-outline-secondary {
    color: var(--purple-dark);
    background-color: #ffffff;
    border-color: var(--purple-dark);
}

    .btn-outline-secondary:hover {
        color: #ffffff;
        background-color: var(--purple-main);
        border-color: var(--purple-main);
    }

.btn-primary.disabled, .btn-primary:disabled, .btn-secondary.disabled, .btn-secondary:disabled {
    filter: grayscale(0.8);
    cursor: url('/img/icon-busy.png'), pointer;
    pointer-events: all !important;
}

textarea {
    height: 150px !important;
}

